<template>
   <!-- debug helpers: add class='debug' in div#app to display -->
   <div class="responsive"></div>
   <!-- /end debug helpers -->
   <router-view />
</template>

<style lang="scss">
div#app.debug {
   position: relative;
   div.responsive {
      position: fixed;
      bottom: 0;
      right: 0;
      background-color: #4a4d50;
      color: white;
      padding: 0.5em;
      z-index: 10000;

      @media (max-width: 576px) { &::after { content: 'XS'; }}
      @media (min-width: 576px) { &::after { content: 'SM'; }}
      @media (min-width: 768px) { &::after { content: 'MD'; }}
      @media (min-width: 992px) { &::after { content: 'LG'; }}
      @media (min-width: 1200px) { &::after { content: 'XL'; }}
      @media (min-width: 1400px) { &::after { content: 'XXL'; }}
   }
}
</style>
